package cn.ezhizao.framework.aspectj.lang.annotation;

import java.lang.annotation.*;
import java.util.concurrent.TimeUnit;

@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface distributedLock {
    String prefix() default "";
    String key() default "";
    long leaseTime() default 10;
    TimeUnit leaseTimeUnit() default TimeUnit.SECONDS;
    long waitTime() default 0;
    String errorMsg() default "其他人正在处理请稍后刷新页面";
}
